install
url --url=http://mirror.centos.org/centos/$releasever/os/$basearch/
repo --name=extras --baseurl=http://mirror.centos.org/centos/$releasever/extras/$basearch/
firewall --enabled --ssh
text
skipx
zerombr
reboot

#version=RHEL7
# System authorization information
auth --enableshadow --passalgo=sha512

# Use CDROM installation media
cdrom
# Run the Setup Agent on first boot
firstboot --disable
ignoredisk --only-use=vda
# Keyboard layouts
keyboard --vckeymap=us
# System language
lang en_US.UTF-8

# Network information
network  --bootproto=dhcp --device=eth0 --ipv6=auto --activate
# Root password
# echo 'import crypt,getpass; print crypt.crypt(getpass.getpass(), "$6$16_CHARACTER_SALT_HERE")' | python -
rootpw --iscrypted {{ virtinstall.rootpw_hash }}
# System services
services --enabled=sshd
# System timezone
timezone Europe/Brussels --isUtc
# System bootloader configuration
bootloader --location=mbr --boot-drive=vda
# Partition clearing information
clearpart --all --initlabel --drives=vda
autopart

%packages
@core
%end

%post --log=/root/ks-post.log
# ssh
cd /root
mkdir --mode=700 .ssh
cat >> .ssh/authorized_keys << "ANSIBLE_SSH_AUTHORIZED_KEY"
{{ virtinstall.ansible.ssh.authorized_key }}
ANSIBLE_SSH_AUTHORIZED_KEY
chmod 600 .ssh/authorized_keys

#cat >> .ssh/config << "SSH_CONFIG"
#Host gitlab.com
#RSAAuthentication yes
#IdentityFile ~/.ssh/gitlab_deploy_key
##User twimpiex
#SSH_CONFIG
#chmod 644 .ssh/config

%end
